package zllauth1

import (
	"github.com/dgrijalva/jwt-go"
	"time"
)

type ZLLAuthConfig struct {
	JWTSignMethod jwt.SigningMethod
	JWTPrivateKey interface{}
	JWTPublicKey  interface{}
	JWTTTL        time.Duration
	JWTIssuer     string
	JWTJTIGenFunc func() string
	UserCheck     UserCheckHandler
}
