package zllauth1

type UserCheckHandler interface {
	CheckUserLogin(loginInfo map[string]interface{}, serverExternalInfo map[string]interface{}) (isAuthSuccess bool, extendInfo map[string]interface{}, visibleErr LoginFailureType, internalErr error)
	RenewJwtCallback(info map[string]interface{}) (err error)
}
