package zllauth_gin

import (
	"git.swzry.com/zry/zllauth1/zllauth1"
	"net/http"
)

type ClientInfo struct {
}

type EventLogHandler interface {
	InternalError(module string, req *http.Request, rawerr error)
	JsonDecodeError(module string, req *http.Request, rawerr error)
	LoginFailed(req *http.Request, visibleError zllauth1.LoginFailureType, rawerr error)
	RenewJWTFailed(req *http.Request, visibleError zllauth1.LoginFailureType, rawerr error)
	HandlingOtherEncryptedRequestFailed(req *http.Request, visibleError zllauth1.LoginFailureType, rawerr error)
}
